# xslt:function-available

Function signature

$function | xs:string
Result | xs:boolean

Determines whether a particular function is available in the context

XSLT 2.0 Specification

Implemented. Extended in 8.1 to recognize the names of stylesheet functions, constructor functions, and Java extension functions as well as system functions, whether or not the first argument is known at compile time.

Function signature

$function | xs:string
$arity | xs:integer
Result | xs:boolean

Determines whether a particular function is available in the context. The two-argument version of the function was added during the Last Call period.

XSLT 2.0 Specification

Implemented in Saxon 7.9. Extended in 8.1 to recognize the names of stylesheet functions, constructor functions, and Java extension functions as well as system functions, whether or not the first argument is known at compile time.

Expand | Up Next